<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FileSearchRow StructType
 * @subpackage Structs
 */
class FileSearchRow extends SearchRow
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\FileSearchRowBasic
     */
    public $basic;
    /**
     * The shopperJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CustomerSearchRowBasic
     */
    public $shopperJoin;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchRowBasic
     */
    public $userJoin;
    /**
     * Constructor method for FileSearchRow
     * @uses FileSearchRow::setBasic()
     * @uses FileSearchRow::setShopperJoin()
     * @uses FileSearchRow::setUserJoin()
     * @param \StructType\FileSearchRowBasic $basic
     * @param \StructType\CustomerSearchRowBasic $shopperJoin
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     */
    public function __construct(\StructType\FileSearchRowBasic $basic = null, \StructType\CustomerSearchRowBasic $shopperJoin = null, \StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setShopperJoin($shopperJoin)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\FileSearchRowBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\FileSearchRowBasic $basic
     * @return \StructType\FileSearchRow
     */
    public function setBasic(\StructType\FileSearchRowBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get shopperJoin value
     * @return \StructType\CustomerSearchRowBasic|null
     */
    public function getShopperJoin()
    {
        return $this->shopperJoin;
    }
    /**
     * Set shopperJoin value
     * @param \StructType\CustomerSearchRowBasic $shopperJoin
     * @return \StructType\FileSearchRow
     */
    public function setShopperJoin(\StructType\CustomerSearchRowBasic $shopperJoin = null)
    {
        $this->shopperJoin = $shopperJoin;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchRowBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     * @return \StructType\FileSearchRow
     */
    public function setUserJoin(\StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
